// MP3Info.cpp : Implementation of CId3comApp and DLL registration.

#include "stdafx.h"
#include "id3com.h"
#include "MP3Info.h"

/////////////////////////////////////////////////////////////////////////////
//

STDMETHODIMP CMP3Info::InterfaceSupportsErrorInfo(REFIID riid)
{
	static const IID* arr[] = 
	{
		&IID_IMP3Info,
	};

	for (int i=0;i<sizeof(arr)/sizeof(arr[0]);i++)
	{
		if (InlineIsEqualGUID(*arr[i],riid))
			return S_OK;
	}
	return S_FALSE;
}
